# SCPformat Struct Reference

`#include <supermatrix.h>`

## Data Fields
int_t | nnz
int_t | nsuper
void * | nzval
int_t * | nzval_colbeg
int_t * | nzval_colend
int_t * | rowind
int_t * | rowind_colbeg
int_t * | rowind_colend
int_t * | col_to_sup
int_t * | sup_to_colbeg
int_t * | sup_to_colend

## Field Documentation

int_t SCPformat::nnz

int_t SCPformat::nsuper

void* SCPformat::nzval

int_t* SCPformat::nzval_colbeg

int_t* SCPformat::nzval_colend

int_t* SCPformat::rowind

int_t* SCPformat::rowind_colbeg

int_t* SCPformat::rowind_colend

int_t* SCPformat::col_to_sup

int_t* SCPformat::sup_to_colbeg

int_t* SCPformat::sup_to_colend

The documentation for this struct was generated from the following file:

- SRC/supermatrix.h